%define subrel 1

Name: qlandkartegt
Version: 1.4.0
Release: %mkrel 1
Summary: GPS device mapping tool
Group: File tools
License: GPLv2+
URL: http://www.qlandkarte.org/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# <GL/glu.h> not included by qt >= 4.8
Patch0: %{name}-1.3.0-fedora-glu.patch
Suggests: garmindev(interface) = 1.18
Suggests: gdal
Requires: gpsbabel

BuildRequires: cmake
BuildRequires: qt4-devel
# Versions of qt4 older than 4.8 pulled in libGLU
BuildRequires: mesaglu-devel
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: desktop-file-utils
BuildRequires: libexif-devel
BuildRequires: libdmtx-devel
BuildRequires: gpsd-devel
BuildRequires: qt4-devel
BuildRequires: pkgconfig(QtWebKit)


%description
QLandkarte GT is the ultimate outdoor aficionado's tool for GPS maps in
GeoTiff format as well as Garmin's img vector map format. Additional it is
the PC side frontend to QLandkarte M, a moving map application for mobile
devices. And it fills the gap Garmin leaves in refusing to support Linux.
QLandkarte GT is the proof that writing portable applications for Unix,
Windows and OSX is feasible with a minimum of overhead. No excuses!

QLandkarte GT does replace the original QLandkarte with a much more
flexible architecture. It's not limited to a map format or device. Thus
if you think your Magellan GPS or other should be supported, join the team.

Additionally it is a front end to the GDAL tools, to make georeferencing
scanned maps feasible for the normal user. Compared to similar tools like
QGis, it's target users are more on the consumer side than on the scientific
one. QLandkarte GT might not let you select every possible feature of the
GDAL tools, but it will simplify their use to the demands of most users.


%prep
%setup -q
%patch0 -p1 -b .glu

# create build direcotory
# mkdir build


%build
# cd build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DGPX_EXTENSIONS=ON 
%make VERBOSE=1 


%install
cd build
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean

%files
%defattr(-,root,root,-)
%doc copying changelog.txt
%{_bindir}/%{name}
%{_bindir}/map2gcm
%{_bindir}/cache2gtiff
%{_bindir}/map2rmap
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*




%changelog

* Fri May 25 2012 obgr_seneca <obgr_seneca> 1.4.0-1.1.mga1
+ Revision: 236021
- Added subrel
- imported into 1
- was present in Mdv 2010.1

* Thu Mar 01 2012 zezinho <zezinho> 1.4.0-1.mga2
+ Revision: 216597
- new version

* Tue Jan 10 2012 zezinho <zezinho> 1.3.2-1.mga2
+ Revision: 194749
- new version

* Mon Jan 02 2012 fwang <fwang> 1.3.1-3.mga2
+ Revision: 189655
- br qtwebkit
- rebuild for new gps

* Thu Dec 08 2011 zezinho <zezinho> 1.3.1-2.mga2
+ Revision: 179335
- suggests only garmindev and added gdal

* Thu Dec 08 2011 zezinho <zezinho> 1.3.1-1.mga2
+ Revision: 178978
- import fedora spec
- imported package qlandkartegt

